name: textInput
type: object[]
meta:
    label: Textfeld
    addElementLabel: Textfeld hinzufügen
    dependsOn:
        eval: $parent?.inputWidgets?.includes('text')
subFields:
    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml

    - name: textArea
      type: boolean
      meta:
          label: 
            de: Großes Textfeld
            en: Large text field
          containerProps:
              layout:
                  size:
                      default: "col-4"
                      small: "col-6"
                      large: "col-4"

    - name: emailValidation
      type: boolean
      meta:
          label:
            de: E-Mail-Validierung
            en: E-mail validation
          containerProps:
              layout:
                  size:
                      default: "col-4"
                      small: "col-6"
                      large: "col-4"

    - name: telValidation
      type: boolean
      meta:
          label: 
            de: Telefon-Validierung
            en: Phone validation
          containerProps:
              layout:
                  size:
                      default: "col-4"
                      small: "col-6"
                      large: "col-4"
